splash_pages.title
GET https://koenavi.jp/api/splash-pages/
curl --request GET \
--url 'https://koenavi.jp/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 (String) | 検索文字列。 |
| search_by | 任意 文字列 (String) | 検索対象フィールド。許可値: name。 |
| datetime_field | 任意 文字列 (String) | 許可される値: datetime, last_datetime |
| datetime_start | 任意 文字列 (String) | 開始日時(Y-m-d H:i:s 形式)。 |
| datetime_end | 任意 文字列 (String) | 終了日時(Y-m-d H:i:s 形式)。 |
| order_by | 任意 文字列 (String) | 並び替え対象フィールド。許可値: splash_page_id, datetime, last_datetime, name。 |
| order_type | 任意 文字列 (String) | 並び順。昇順は ASC、降順は DESC。 |
| page | 任意 整数 (Integer) | 取得するページ番号(初期値: 1)。 |
| results_per_page | 任意 整数 (Integer) | 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-17 23:19:59"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://koenavi.jp/api/splash-pages?page=1",
"last": "https://koenavi.jp/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://koenavi.jp/api/splash-pages?page=1"
}
}
GET https://koenavi.jp/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-17 23:19:59"
}
}
POST https://koenavi.jp/api/splash-pages
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 (String) | - |
| title | 任意 文字列 (String) | - |
| logo | 任意 ファイル (File) | - |
| favicon | 任意 ファイル (File) | - |
| opengraph | 任意 ファイル (File) | - |
| description | 任意 文字列 (String) | - |
| secondary_button_name | 任意 文字列 (String) | - |
| secondary_button_url | 任意 文字列 (String) | - |
| custom_css | 任意 文字列 (String) | - |
| custom_js | 任意 文字列 (String) | - |
| ads_header | 任意 文字列 (String) | - |
| ads_footer | 任意 文字列 (String) | - |
| link_unlock_seconds | 任意 整数 (Integer) | - |
| auto_redirect | 任意 真偽値 (Boolean) | - |
curl --request POST \
--url 'https://koenavi.jp/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://koenavi.jp/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-17 23:19:59"
}
}
POST https://koenavi.jp/api/splash-pages/{splash_page_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 任意 文字列 (String) | - |
| title | 任意 文字列 (String) | - |
| logo | 任意 ファイル (File) | - |
| favicon | 任意 ファイル (File) | - |
| opengraph | 任意 ファイル (File) | - |
| description | 任意 文字列 (String) | - |
| secondary_button_name | 任意 文字列 (String) | - |
| secondary_button_url | 任意 文字列 (String) | - |
| custom_css | 任意 文字列 (String) | - |
| custom_js | 任意 文字列 (String) | - |
| ads_header | 任意 文字列 (String) | - |
| ads_footer | 任意 文字列 (String) | - |
| link_unlock_seconds | 任意 整数 (Integer) | - |
| auto_redirect | 任意 真偽値 (Boolean) | - |
curl --request POST \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-17 23:19:59"
}
}
DELETE https://koenavi.jp/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \